- Home
- API Enriched
- Virtual
- config
- GET DoS Auto-Mitigation Rules for HTTP Load Balancer.
GET DoS Auto-Mitigation Rules for HTTP Load Balancer.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/config/namespaces/example/http_loadbalancers/example/dos_automitigation_rules';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/config/namespaces/example/http_loadbalancers/example/dos_automitigation_rules \ --header 'Authorization: <Authorization>'GET the corresponding DoS Auto-Mitigation Rules for the given HTTP load balancer.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace Namespace of the Load Balancer.
Name Name of the Load Balancer.
Responses
Section titled “Responses”A successful response.
Response of GET DDoS Auto-Mitigation Rules API.
object
Rule or policy definition
DoS Mitigation Object to auto-configure rules to block attackers.
object
CreationTimestamp is a timestamp representing the server time when this object was created. It is not guaranteed to be set in happens-before order across separate operations. Clients may not set this value. It is represented in RFC3339 form and is in UTC.
object
An unordered set of RFC 6793 defined 4-byte AS numbers that can be used to create allow or deny lists for use in network policy or service policy. Required: YES.
Sources that are located in one of the countries in the given list.
object
Virtual Host on which mitigation is to occur
Required: YES.
This type establishes a ‘direct reference’ from one object(the referrer) to another(the referred). Such a reference is in form of tenant/namespace/name for public API and Uid for private API This type of reference is called direct because the relation is explicit and concrete (as opposed to selector reference which builds a group based on labels of selectee objects)
object
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then kind will hold the referred object’s kind (e.g. “route”)
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then uid will hold the referred object’s(e.g. Route’s) uid.
object
Exclusive with [expiration_never expiration_ttl] This mitigation will expire at the given timestamp and will be removed from the system afterwards.
Exclusive with [expiration_never expiration_timestamp] Mitigation will expire this number of seconds after its creation time.
IP Address prefix in string format. String must contain both prefix and prefix-length. Accepts both IPv4 and IPv6 prefixes.
A list of exact path values to match the input HTTP path against.
A list of exact TLS JA3 fingerprints to match the input TLS JA3 fingerprint against.
This is the name of configuration object. It has to be unique within the namespace. It can only be specified during create API and cannot be changed during replace API. The value of name has to follow DNS-1035 format. Required: YES.
Uid is the unique in time and space value for this object. It is generated by the server on successful creation of an object and is not allowed to change on Replace API. The value of is taken from uid field of ObjectMetaType, if provided.
Example
{ "dos_automitigation_rules": [ { "item": { "countries": [ "COUNTRY_NONE" ], "type": "MITIGATION_MANUAL" } } ]}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example